/*
 *  projection.h -- part of stereographic2platecarree
 *
 *  Copyright (c) 2010 Marc Pegon <pe.marc@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef PROJECTION_H_
#define PROJECTION_H_

#include "image.h"

typedef struct s_fPoint {
    double x;
    double y;
} fPoint;

fPoint tofPoint(double x, double y);
fPoint math_PlateCarree2Spheric(fPoint p, double radius);
fPoint math_Spheric2Stereographic(fPoint p, double radius);

// dst must have been already created (initialized or not)
// src must contain data
// src and dst must be square images
void stereographic2PlateCarree(Image dst, Image src);

#endif // PROJECTION_H_
